Subject: Re: bug#10886: 24.0.93; Emacs 24 hangs on incremental search.

From: Jan Djärv <[email-masked]>
Date: Thu, 22 Mar 2012 20:26:25 +0100

2012-02-26 03:21, Kaushik Srenevasan skrev:
> I'm running (a very recent) Emacs 24 [1] (synced to
> 77688e1b570f1e74dd092efa6f1d98c369c42273 lisp/ChangeLog: Fix typos.)
> that hangs every time I open the following file (locally)
>
> http://hg.openjdk.java.net/jdk6/jdk6/hotspot/raw-file/20dbc199874e/src/share/vm/runtime/globals.hpp
>
> and try do an incremental search (regexp or otherwise) for (say)
> 'TraceBytecodes'.
>
> On Debian [2] the instance doesn't recover. The problem also
> exists in OSX 10.7, where Emacs is able to recover, while still only
> very slowly though.
>
> Emacs 23 works just fine on the file on both platforms.
>

Hello.

I can't reproduce this.  Does it happen even if you start emacs with -Q?

	Jan D.